Subject: Re: linux-next: Tree for June 24 (mtd + of)

From: Randy Dunlap <[email-masked]>
Date: Sat, 25 Jun 2011 15:20:09 -0700

On Sat, 25 Jun 2011 09:35:13 +0300 Artem Bityutskiy wrote:

> On Fri, 2011-06-24 at 13:38 -0700, Randy Dunlap wrote:
> > On 06/24/11 13:26, Artem Bityutskiy wrote:
> > > On Fri, 2011-06-24 at 09:04 -0700, Randy Dunlap wrote:
> > >> On Fri, 24 Jun 2011 15:58:22 +1000 Stephen Rothwell wrote:
> > >>
> > >>> Hi all,
> > >>>
> > >>> Changes since 20110623:
> > >>>
> > >>> My fixes tree includes:
> > >>> 	(as an experiment) the early part of mmotm-2011-06-22-13-05
> > >>> 	STAGING: Comedi: Build only on arches providing PAGE_KERNEL_NOCACHE
> > >>
> > >>
> > >> When CONFIG_MTD=m, CONFIG_MTD_OF_PARTS=y:
> > >>
> > >> drivers/mtd/ofpart.o: In function `init_module':
> > >> ofpart.c:(.init.text+0x0): multiple definition of `init_module'
> > >> drivers/mtd/mtdcore.o:(.init.text+0x43): first defined here
> > > 
> > > I guess this is some old issue? I do not think ofpart can be compiled-in
> > > if the mtd core is a module...
> > 
> > [adding driver author, Vitaly]
> > 
> > No, it's a current issue.
> 
> I meant that the subject suggests this is about linux-next, but this
> problem should be in upstream.

Sorry I misunderstood your comment.

3.0-rc4 does not have this build error when I use the .config file with it...
however, I think that 3.0-rc4 also does not build ofpart.ko as it should.

Looks to me like changes in drivers/mtd/{Kconfig && Makefile} caused this
build error.

---
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***